## org.eclipse.emf.ocl.expressions
Interface OCLExpression

All Superinterfaces:
  ASTNode, EModelElement, ENamedElement, EObject, Notifier, TypedElement, Visitable

All Known Subinterfaces:
  AssociationClassCallExp, BooleanLiteralExp, CallExp, CollectionLiteralExp, EnumLiteralExp, FeatureCallExp, IfExp, IntegerLiteralExp, InvalidLiteralExp, IterateExp, IteratorExp, LetExp, LiteralExp, LoopExp, MessageExp, NavigationCallExp, NullLiteralExp, NumericLiteralExp, OperationCallExp, PrimitiveLiteralExp, PropertyCallExp, RealLiteralExp, StateExp, StringLiteralExp, TupleLiteralExp, TypeExp, UnspecifiedValueExp, VariableExp

All Known Implementing Classes:
  AssociationClassCallExpImpl, BooleanLiteralExpImpl, CallExpImpl, CollectionLiteralExpImpl, EnumLiteralExpImpl, FeatureCallExpImpl, IfExpImpl, IntegerLiteralExpImpl, InvalidLiteralExpImpl, IterateExpImpl, IteratorExpImpl, LetExpImpl, LiteralExpImpl, LoopExpImpl, MessageExpImpl, NavigationCallExpImpl, NullLiteralExpImpl, NumericLiteralExpImpl, OCLExpressionImpl, OperationCallExpImpl, PrimitiveLiteralExpImpl, PropertyCallExpImpl, RealLiteralExpImpl, StateExpImpl, StringLiteralExpImpl, TupleLiteralExpImpl, TypeExpImpl, UnspecifiedValueExpImpl, VariableExpImpl

Deprecated. Use the `OCLExpression` interface, instead.

    @Deprecated
    public interface OCLExpression

extends TypedElement, Visitable, ASTNode

Field Summary
`static String` `copyright` Deprecated.

Method Summary

Methods inherited from interface org.eclipse.emf.ocl.uml.TypedElement
`getType, setType`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.